'strict mode';

var mainModule = angular.module('core');

mainModule.run(['customizationService', 'coreFieldService',
  function(customizationService, coreFieldService) {
    var mainTopNav = customizationService.getTopNavSet('core_mainTopNav'),
      topNavLeft = customizationService.getTopNavElementSet('core_mainTopLeft'),
      topNavRight = customizationService.getTopNavElementSet('core_mainTopRight');

    mainTopNav.removeTopNav('main');

    mainTopNav.addTopNav('main', {branding: [
      { type: 'img', path: '/sf/sfmain/do/home', img: '/sf-images/masthead/logo-custom.gif', alt: 'Custom Logo', css: 'no-brand' }
      ,
      {type: 'img', path: '/sf/sfmain/do/home', img: '/ctf/js/modules/CSS-example/img/logo.png', alt: 'logo', css: 'brand img logo1'}
      ,
    ], leftElements: 'core_mainTopLeft', rightElements: 'core_mainTopRight'});

  }
]);

